using UnityEngine;
using System.Collections;

[RequireComponent(typeof(AudioSource))]
public class soundBehaviour : MonoBehaviour {

   public AudioClip correctClip;
   public AudioClip wrongClip;
   public AudioClip potatoClip;
   public AudioClip looseClip;
   public AudioClip winClip;


   public static bool soundOn = false;
   public static string playSound = "correct";


	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
       // StartCoroutine(StartAudio());
        StartAudio();
	
	}



    void StartAudio() {

        if (soundOn == true) {
            if (playSound == "correct") {
                audio.clip = correctClip;
            } else if (playSound == "wrong") {
                audio.clip = wrongClip;
            } else if (playSound == "potato") {
                audio.clip = potatoClip;
            } else if (playSound == "loose") {
                audio.clip = looseClip;
            } else if (playSound == "win") {
                audio.clip = winClip;
            }
            audio.Play();
          //  yield return new WaitForSeconds(audio.clip.length);
            soundOn = false;
        }
    }

}
