using UnityEngine;
using System.Collections;

public class GUIScript : MonoBehaviour {
    
    public GUISkin skin2D;
  //  int screenSize = Screen.width; 

    void OnGUI() {
        GUI.skin = skin2D;
        GUI.backgroundColor = globalVars.activeColor;
        GUI.color = globalVars.activeColor;

        //adjust for screen size
        GUI.skin.label.fontSize = 32;
        GUI.Box(new Rect(0, 0, Screen.width, GUI.skin.label.fontSize+6), "");
        GUI.Box(new Rect(0, Screen.height-14, Screen.width, 14), "");
        //left labe: target score
        
        GUI.Label(new Rect(Screen.width * 0.5f - 250, 2, 100, GUI.skin.label.fontSize + 2), globalVars.targetScore.ToString());
        //center label: score
        GUI.Label(new Rect(Screen.width * 0.5f - 50, 2, 100, GUI.skin.label.fontSize+2), globalVars.playerScore.ToString());

        //right label : time
        string countDownDisplay = Mathf.CeilToInt(globalVars.countdown).ToString();
        if (Mathf.CeilToInt(globalVars.countdown) <= 5) {
            GUI.color = Color.red;
        }
        GUI.Label(new Rect(Screen.width * 0.5f + 75, 2, 100, GUI.skin.label.fontSize + 2), countDownDisplay);

        GUI.color = Color.black;
        GUI.Label(new Rect(Screen.width * 0.5f - 352, 6, 100, GUI.skin.label.fontSize + 2), "Target", GUI.skin.GetStyle("Label2"));
        GUI.Label(new Rect(Screen.width * 0.5f - 152, 6, 100, GUI.skin.label.fontSize + 2), "Score", GUI.skin.GetStyle("Label2"));
    }

    void FixedUpdate() {
      //  screenSize = Screen.width;
    }

}


