using UnityEngine;
using System.Collections;

public class cubeBehaviour : MonoBehaviour {

    public Transform cube1;
    public Transform potato;
	// Use this for initialization
	void Start () {
        randomColor();
        globalVars.activeCubes += 1;
	
	}

    void OnTriggerEnter(Collider hit){
        //print("cube hit");

        if (hit.gameObject.tag == "Player" && globalVars.cubeActive == false) {
           // globalVars.cubeActive = true;
            //split cube
           // print("player hit cube");
            //prevent all cubes from being deleted (place 1 extra cube)
            if (globalVars.activeCubes < 4) {
                placeRandomly(1, 1, cube1);
            }


            int rand = Mathf.FloorToInt(Random.Range(0, 8));
            int cubeSize = Mathf.FloorToInt(gameObject.renderer.bounds.size.x);
            //int playerSize = Mathf.FloorToInt(hit.gameObject.renderer.bounds.size.x);

            soundBehaviour.soundOn = true;
            if (renderer.material.color == globalVars.activeColor) {
                soundBehaviour.playSound = "correct";
                placeRandomly(rand, 1, cube1);
                int addScore = (5 - cubeSize) * 2;
                globalVars.playerScore += addScore;
                globalVars.correctCubes++;
            } else if (renderer.material.color != globalVars.activeColor) {
                soundBehaviour.playSound = "wrong";
                int subScore = (5 - cubeSize) * 2;
                globalVars.playerScore -= subScore;
                globalVars.wrongCubes++;
            }
            randomPotato();

            globalVars.activeCubes -= 1;
            Destroy(gameObject);
            
            //globalVars.cubeActive = false;
        }

    }



    //spreads a number of cubes within a predifined target area, size modifier needed to esnure potatoes are always bigger
    void placeRandomly(int number, int sizeMod, Transform objectType){

	int i = 0;

    float a = Screen.width;
    float b = Screen.height;
    float ratio = a / b;


    int xMin = Mathf.FloorToInt(-Camera.main.orthographicSize * ratio);
    int xMax = Mathf.FloorToInt(Camera.main.orthographicSize * ratio);
    int zMin = Mathf.FloorToInt(-Camera.main.orthographicSize+1);
    int zMax = Mathf.FloorToInt(Camera.main.orthographicSize-1);
	



	while(i < number){
	    int x = Random.Range(xMin,xMax);
	    int z = Random.Range(zMin,zMax);
	    int y = 0;
		Transform objectInstance = Instantiate(objectType, new Vector3 (x, y, z), Quaternion.identity) as Transform;
        int randSize = Mathf.FloorToInt(Random.Range(1, 5)*sizeMod);
        objectInstance.transform.localScale = new Vector3(randSize, randSize, randSize);
		i++;
	}
	
	//print("cubes deployed");
}

    void randomColor() {
        int colorSwitch = Mathf.FloorToInt(Random.Range(1, 4));

        if (colorSwitch == 1)
            renderer.material.color = Color.yellow;
        else if (colorSwitch == 2)
            renderer.material.color = Color.green;
        else if (colorSwitch == 3)
            renderer.material.color = new Color(0, 0.5f, 1, 1); //blue

    }


    void randomPotato() {

        int randPot = Mathf.FloorToInt(Random.Range(1, globalVars.potatoChance));
       // print("PR: " + randPot);
        if (randPot == 1)
        placeRandomly(1,4, potato);
        globalVars.potatoesSpawned++;
    }

}
